Loading...
Searching...
No Matches
pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationItem Struct Reference

## Public Attributes

unsigned int | chargeState
double | experimentalMassToCharge
double | calculatedMassToCharge
PeptideSp | peptide
std::vector< MzidPeptideEvidence > | mzidPeptideEvidenceList
std::vector< CvParam > | cvParamList
std::vector< UserParam > | userParamList

## Detailed Description

Definition at line 167 of file mzidentmlreader.h.

## Member Data Documentation

## calculatedMassToCharge

double pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationItem::calculatedMassToCharge

Definition at line 171 of file mzidentmlreader.h.

## chargeState

unsigned int pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationItem::chargeState

Definition at line 169 of file mzidentmlreader.h.

## cvParamList

std::vector<CvParam> pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationItem::cvParamList

Definition at line 175 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::writeSpectrumIdentificationItem().

## experimentalMassToCharge

double pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationItem::experimentalMassToCharge

Definition at line 170 of file mzidentmlreader.h.

## mzidPeptideEvidenceList

std::vector<MzidPeptideEvidence> pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationItem::mzidPeptideEvidenceList

Definition at line 173 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::writeSpectrumIdentificationItem().

## peptide

PeptideSp pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationItem::peptide

Definition at line 172 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::writeSpectrumIdentificationItem().

## userParamList

std::vector<UserParam> pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationItem::userParamList

Definition at line 176 of file mzidentmlreader.h.

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/cbor/psm/mzidentml/mzidentmlreader.h